# Python Control Systems Toolbox
[![Build Status](https://travis-ci.com/rushad7/control-toolbox.svg?branch=master)](https://travis-ci.com/rushad7/control-toolbox)
[![Documentation Status](https://readthedocs.org/projects/control-toolbox/badge/?version=latest)](https://control-toolbox.readthedocs.io/en/latest/?badge=latest)
[![PyPI version](https://badge.fury.io/py/control-toolbox.svg)](https://badge.fury.io/py/control-toolbox)
![GitHub](https://img.shields.io/github/license/rushad7/control-toolbox)  

The `control-toolbox` is a Python Library for implementing and simulating various systems and control strategies.

## Current Supported Functionality:

- System modeling with Transfer Functions and State Space models.
- Time Domain Response of System with the following input signals: Impulse, Step, Ramp.
- System conversion, State Space model to Transfer Function
- Block diagram algebra: Series and Paralel.
- Stability analysis of the system.
- Root Locus Plot of the system.
- Frequency Response, Bode plot.
- Parameterization of systems.
- Pole-Zero Plot of systems.
- Feedback analysis.
- PID control.
- Observability, Controllability.

## Future Updates:
- Linear Quadratic Regulator.
- Kalman Filter.

## Project Links
Project Homepage: http://control-toolbox.rtfd.io/  
Documentation: [https://control-toolbox.readthedocs.io/](https://control-toolbox.readthedocs.io/)  
Source Code: [https://github.com/rushad7/control-toolbox](https://github.com/rushad7/control-toolbox)  

## Installation
### Pip
To install using pip, run the following command:

`pip install control-toolbox`

### Development
To get the latest unreleased version:

`git clone https://github.com/rushad7/control-toolbox.git`
